Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.dao.file
Class FileCategoryDAO

    java.lang.Object
      net.sourceforge.pebble.dao.file.FileCategoryDAO

All Implemented Interfaces:
  CategoryDAO

    public class FileCategoryDAO

extends java.lang.Object
implements CategoryDAO

Constructor Summary
`FileCategoryDAO()`

Method Summary
`void` | `addCategory(Category category, Blog blog)` Adds the specified category.
`void` | `deleteCategory(Category category, Blog blog)` Removes the specified category.
`Category` | `getCategories(Blog blog)` Gets the categories for a particular blog.
`void` | `updateCategory(Category updatedCategory, Blog blog)` Updates the specified category.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileCategoryDAO

    public FileCategoryDAO()

Method Detail

### getCategories

    public Category getCategories(Blog blog)
                           throws PersistenceException

  Gets the categories for a particular blog.

  Specified by:
    `getCategories` in interface `CategoryDAO`
  Parameters:
    `blog` - the owning Blog instance
  Returns:
    a Collection of Category instances
  Throws:
    `PersistenceException` - if categories cannot be loaded

### addCategory

    public void addCategory(Category category,
                            Blog blog)
                     throws PersistenceException

  Adds the specified category.

  Specified by:
    `addCategory` in interface `CategoryDAO`
  Parameters:
    `category` - the Category instance to be added
    `blog` - the owning blog
  Throws:
    `PersistenceException` - if something goes wrong storing the category

### updateCategory

    public void updateCategory(Category updatedCategory,
                               Blog blog)
                        throws PersistenceException

  Updates the specified category.

  Specified by:
    `updateCategory` in interface `CategoryDAO`
  Parameters:
    `updatedCategory` - the Category instance to be updated
    `blog` - the owning blog
  Throws:
    `PersistenceException` - if something goes wrong storing the category

### deleteCategory

    public void deleteCategory(Category category,
                               Blog blog)
                        throws PersistenceException

  Removes the specified category.

  Specified by:
    `deleteCategory` in interface `CategoryDAO`
  Parameters:
    `category` - the Category instance to be removed
    `blog` - the owning blog
  Throws:
    `PersistenceException` - if something goes wrong removing the category

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.